/* 
    Document   : jevcustom
    Created on : 22-Apr-2013, 14:12:51
    Author     : Tony Partridge - GWE Systems Ltd
    Description: To allow customisation of CSS Strings where they can never be lost.
    Purpose of the stylesheet follows.
*/

a.cal_titlelink {
    background-color: #ffe6e6 !important; /* Fond rouge très clair */
    color: #cc0000 !important;             /* Texte rouge foncé */
    border-left: 3px solid #cc0000 !important; /* Petite barre latérale rouge */
    padding: 2px 5px !important;
    display: inline-block !important;
    border-radius: 4px !important;
    text-decoration: none !important;
    font-size: 11px !important;
}

/* bloquer les clics sur les jours et les flèches du mois */
.mod_events_table td, 
.mod_events_table a {
    pointer-events: none !important;
    cursor: default !important;
}
 
/* Couleur VERTE pour les jours libres */
/* pas utilisé
.mod_events_table td.mod_events_td_daynoevents {
    background-color: #2ecc71; 
}
.mod_events_table td.mod_events_td_daynoevents a {
    color: #ffffff;
}*/

/* Couleur ROUGE pour les jours occupés */
.mod_events_table td.mod_events_td_daywithevents {
    background-color: #e74c3c !important;
}
.mod_events_table td.mod_events_td_daywithevents a {
    color: #ffffff !important;
}

/* jour courant en jaune */
.mod_events_table td.mod_events_td_todaywithevents,
.mod_events_table td.mod_events_td_todaynoevents {
  background-color: #FAFAD2 !important;
}
.mod_events_table td.mod_events_td_todaywithevents a,
.mod_events_table td.mod_events_td_todaynoevents a {
  color: #000000 !important;
  font-weight: bold;
}

/* fermeture tous les dimanches */
.mod_events_table tr:not(:first-child) td:last-child:not(.mod_events_td_dayoutofmonth) {
    background-color: #e74c3c;
}
.mod_events_table tr:not(:first-child) td:last-child:not(.mod_events_td_dayoutofmonth) a {
    color: #ffffff;
}

/* jours en dehors du mois */
.mod_events_table td.mod_events_td_dayoutofmonth {
  background-color: #FFFFFF !important;
  color: #FFFFFF !important;
}
.mod_events_table td.mod_events_td_dayoutofmonth a {
  color: #FFFFFF !important;
}